------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情5
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>237
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(384,281)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无

local hero = CppScriptMgr:QueryHero()

hero:SetPos(380,285)


--怪物
local playerMonster1 = CppScriptMgr:AddPlayer(175,387,283, "Mystic Boss (Jiro)")
playerMonster1:SetZoomPercent(200);
CppScriptMgr:AddEffect("MMS_MFDL", 387,283)

local player1 = CppScriptMgr:AddSimplePlayer(16040,389,292, "Crazy Taoist", 400300001,1);
local player2 = CppScriptMgr:AddSimplePlayer(16050,391,280, "Commander", 400300002,1);
local player3 = CppScriptMgr:AddSimplePlayer(48520,379,277, "Little Ice Ape", 400300003,1);
player1:SetDir(6)
player1 :AddEffect("Ia_Cir_coat02");
player2 :AddEffect("Ia_Cir_coat02");
player3 :AddEffect("Ia_Cir_coat02");

player1:Say("Don`t be so cocky!", 3000)
CppScriptMgr:WaitMilSec(200)
player2:Say("Bad guy! You`re a bad guy!", 3000)
CppScriptMgr:WaitMilSec(2000)
player3:Say("You did it to yourself!", 3000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("Looks like I`ve underestimated you. Luckily, I`m fully prepared!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(3000)
hero:Say("Who the hell are you? What have you done?", 3000)
CppScriptMgr:WaitMilSec(3000)


hero:AddEffect("KillerPattern")
CppScriptMgr:WaitMilSec(1000)
hero:AddEffect("SLTZ_Last")

CppScriptMgr:NpcCallOut("Do you remember that lady you saved? That`s one of my clone. Hahaha...", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(3000)
hero:Say("I can`t believe it was you...", 3000)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("Not only that lady, but the boy you saved was also me!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(3000)
hero:Say("I saved you twice!", 3000)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("Thanks for saving me, and thanks for helping me pass the trial of self corpse! I`m Patronus Jiro! Yin and Yang are bound together inside of me!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(3000)
hero:Say("You disgusting devil!", 3000)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("Nothing could hold me down after I pass all trials! Come on! Thunder trial! Let me be reborn!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(3000)
player1:Say("Watch out!", 3000)
player2:Say("Watch out!", 3000)
player3:Say("Don`t worry about us!", 3000)

CppScriptMgr:WaitMilSec(3000)

hero:AddEffect("BGHT_Strike")
CppScriptMgr:WaitMilSec(1000)
hero:AddEffect("Digong_PJFY")

CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:AddEffect("DragonSkin1_BQ", 385,285)
CppScriptMgr:NpcCallOut("Ahh! Damn! The thunder is so powerful...", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)

CppScriptMgr:WaitMilSec(3000)


-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)

